<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/bg"
    android:orientation="vertical">

    <com.android.chmo.ui.view.TopBar
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        app:topTitle="订单结算" />


    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/white"
        android:orientation="vertical"
        android:padding="15dp">

        <TextView
            android:id="@+id/workName"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text=""
            android:textColor="@color/black"
            android:textSize="16sp" />

        <TextView
            android:id="@+id/workAddress"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="10dp"
            android:text=""
            android:textColor="@color/black"
            android:textSize="16sp" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="15dp"
            android:orientation="horizontal"
            android:gravity="center_vertical">

            <ImageView
                android:id="@+id/image"
                android:layout_width="100dp"
                android:layout_height="100dp"
                android:src="@mipmap/def_img2" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="15dp"
                android:orientation="vertical">

                <TextView
                    android:id="@+id/orderNum"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="订单号："
                    android:textColor="@color/black"
                    android:textSize="14sp" />

                <TextView
                    android:id="@+id/modelName"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="6dp"
                    android:text=""
                    android:textColor="@color/black"
                    android:textSize="14sp" />

                <TextView
                    android:id="@+id/workTime"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="6dp"
                    android:text=""
                    android:textColor="@color/black"
                    android:textSize="14sp" />

                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:gravity="center_vertical"
                    android:orientation="horizontal"
                    android:layout_marginTop="6dp">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="总计："
                        android:textColor="@color/black"
                        android:textSize="14sp" />

                    <TextView
                        android:id="@+id/totalPrice"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="￥"
                        android:textColor="@color/pink"
                        android:textSize="14sp" />
                </LinearLayout>
            </LinearLayout>
        </LinearLayout>
    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_marginTop="10dp"
        android:layout_weight="1"
        android:background="@color/white"
        android:orientation="vertical"
        android:paddingBottom="10dp">


        <LinearLayout
            style="@style/HContainer"
            android:background="@color/white"
            android:padding="15dp">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="支付方式"
                android:textColor="@color/black"
                android:textSize="15sp" />
        </LinearLayout>

        <View style="@style/line" />

        <LinearLayout
            android:id="@+id/balanceClick"
            style="@style/HContainer"
            android:background="@color/white"
            android:padding="15dp">

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginRight="20dp"
                android:src="@mipmap/balance" />


            <TextView
                android:id="@+id/balance"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:text="余额支付"
                android:textColor="@color/black"
                android:textSize="14sp" />

            <ImageView style="@style/Arrow" />
        </LinearLayout>
        <View style="@style/line" />

        <View android:layout_width="wrap_content"
            android:layout_height="0dp"
            android:layout_weight="1"/>

        <Button
            android:id="@+id/pay"
            style="@style/largeBtn"
            android:layout_margin="20dp"
            android:text="去支付"/>
    </LinearLayout>
</LinearLayout>